%define	lib_name_orig	libxfs
%define	lib_major	1
%define	lib_name	%mklibname xfs %{lib_major}
%define	lib_name_devel	%mklibname xfs -d
%define	lib_name_static_devel	%mklibname xfs -d -s

Name:		xfsprogs
Version:	3.2.1
Release:	%mkrel 3
Summary:	Utilities for managing the XFS filesystem
Source0:	ftp://oss.sgi.com/projects/xfs/cmd_tars/%{name}-%{version}.tar.gz
Patch1:		xfsprogs-3.2.0-fix-underlinking.patch
License:	GPLv2 and LGPLv2
Group:		System/Kernel and hardware
BuildRequires:	libext2fs-devel
BuildRequires:	libuuid-devel
URL:		http://oss.sgi.com/projects/xfs/
Requires:	common-licenses
Conflicts:	xfsdump < 3.0.0

%description
A set of commands to use the XFS filesystem, including mkfs.xfs.

XFS is a high performance journaling filesystem which originated
on the SGI IRIX platform.  It is completely multi-threaded, can
support large files and large filesystems, extended attributes,
variable block sizes, is extent based, and makes extensive use of
Btrees (directories, extents, free space) to aid both performance
and scalability.

Refer to the documentation at http://oss.sgi.com/projects/xfs/
for complete details.  This implementation is on-disk compatible
with the IRIX version of XFS.

%package -n	%{lib_name}
Summary:	Main library for %{lib_name_orig}
Group:		System/Libraries
Provides:	%{lib_name_orig} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.

%package -n	%{lib_name_devel}
Summary:	XFS filesystem-specific libraries and headers
Group:		Development/C
Requires:	%{lib_name} = %{version}
# For uuid/uuid.h included in /usr/include/xfs/linux.h
Requires:	libuuid-devel
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	xfs-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	xfs-devel < %{version}-%{release}
Obsoletes:      %{lib_name}-devel < %{version}-%{release}

%description -n	%{lib_name_devel}
%{lib_name_devel} contains the libraries and header files needed to
develop XFS filesystem-specific programs.

You should install %{lib_name_devel} if you want to develop XFS
filesystem-specific programs, If you install %{lib_name_devel}, you'll
also want to install xfsprogs.

%package -n	%{lib_name_static_devel}
Summary:	XFS filesystem-specific static libraries
Group:		Development/C
Requires:	%{lib_name_devel} = %{version}
Provides:	%{lib_name_orig}-static-devel = %{version}-%{release}
Provides:	xfs-static-devel = %{version}-%{release}

%description -n	%{lib_name_static_devel}
%{lib_name_devel} contains the static libraries needed to
develop XFS filesystem-specific programs.

You should install %{lib_name_static_devel} if you want to develop XFS
filesystem-specific programs, If you install %{lib_name_static_devel}, you'll
also want to install xfsprogs.

%prep
%setup -q  -n %name-%version
%patch1 -p1 -b .underlinking

%build
export DEBUG="-DNDEBUG"
export OPTIMIZER="%{optflags}"

%configure2_5x \
		--sbindir=/sbin \
		--libdir=/%{_lib} \
		--enable-gettext=yes \
		--enable-editline=no \
		--enable-shared=yes

make DEBUG=-DNDEBUG OPTIMIZER="%{optflags}"

%install
make install DIST_ROOT=%{buildroot}/
make install-dev DIST_ROOT=%{buildroot}/

# nuke files already packaged as %doc
rm -r %{buildroot}%{_datadir}/doc/xfsprogs/
rm -f %{buildroot}/%{_lib}/*.la
%find_lang %{name}

%files -f %{name}.lang
%doc doc/CHANGES.gz doc/COPYING doc/CREDITS README
/sbin/xfs_admin
/sbin/xfs_bmap
/sbin/xfs_copy
/sbin/xfs_db
/sbin/xfs_freeze
/sbin/xfs_growfs
/sbin/xfs_info
/sbin/xfs_io
/sbin/xfs_logprint
/sbin/xfs_mkfile
/sbin/xfs_ncheck
/sbin/xfs_quota
/sbin/xfs_rtcp
/sbin/xfs_mdrestore
/sbin/xfs_metadump
/sbin/xfs_estimate
/sbin/xfs_fsr
/sbin/fsck.xfs
/sbin/mkfs.xfs
/sbin/xfs_repair
%{_mandir}/man[85]/*

%files -n %{lib_name}
%doc README
/%{_lib}/*.so.%{lib_major}
/%{_lib}/*.so.%{lib_major}.*

%files -n %{lib_name_devel}
/%{_lib}/*.so
%{_includedir}/xfs
%{_mandir}/man3/*

%files -n %{lib_name_static_devel}
/%{_lib}/*.a


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 3.2.1-3.mga5
+ Revision: 742408
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.1-2.mga5
+ Revision: 690654
- Mageia 5 Mass Rebuild

* Tue Jul 15 2014 fwang <fwang> 3.2.1-1.mga5
+ Revision: 653024
- xfs_check has been removed
- 3.2.1

* Sat Jun 07 2014 pterjan <pterjan> 3.2.0-1.mga5
+ Revision: 634526
- 3.2.0

* Sat Mar 08 2014 tv <tv> 3.2.0-0.alpha2.mga5
+ Revision: 601233
- fix underlinking
- new pre-release

* Tue Oct 22 2013 umeabot <umeabot> 3.1.11-2.mga4
+ Revision: 541712
- Mageia 4 Mass Rebuild

* Sat Jul 20 2013 fwang <fwang> 3.1.11-1.mga4
+ Revision: 456425
- new version 3.1.11
- move back to root rather than /usr
- libxlog is acturally a static lib used by xfs_db
- cleanup spec, move binaries into /usr

* Mon Jan 14 2013 umeabot <umeabot> 3.1.10-2.mga3
+ Revision: 386946
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 15 2012 fwang <fwang> 3.1.10-1.mga3
+ Revision: 331154
- new version 3.1.10

* Sat Mar 24 2012 tmb <tmb> 3.1.8-1.mga2
+ Revision: 226139
- update to 3.1.8 (bugfixes for loops, segfaults and deadlocks)

* Sat Feb 25 2012 tv <tv> 3.1.7-1.mga2
+ Revision: 214607
- new release

* Sat Oct 15 2011 tmb <tmb> 3.1.6-1.mga2
+ Revision: 155324
- update to 3.1.6

* Sat Jun 11 2011 dmorgan <dmorgan> 3.1.5-3.mga2
+ Revision: 103361
- Revert previous commit

* Fri Jun 10 2011 dmorgan <dmorgan> 3.1.5-2.mga2
+ Revision: 103351
- Only rm .la files
- Remove la files

* Sat Apr 02 2011 tmb <tmb> 3.1.5-1.mga1
+ Revision: 79880
- temporarily disable underlinking
- update to 3.1.5

* Tue Jan 11 2011 blino <blino> 3.1.2-2.mga1
+ Revision: 6339
- remove old ldconfig scriptlets
- unmanboification
- imported package xfsprogs


* Tue Jun 15 2010 Thomas Backlund <tmb@mandriva.org> 3.1.2-1mnb2
+ Revision: 548119
- update to 3.1.2 (bugfix release)

* Sat Jan 30 2010 Funda Wang <fwang@mandriva.org> 3.1.1-1mnb2
+ Revision: 498439
- update to new version 3.1.1

* Sun Jan 17 2010 Funda Wang <fwang@mandriva.org> 3.1.0-1mnb2
+ Revision: 492564
- new version 3.1.0
- drop lazy-count patch, merged upstream

* Fri Dec 25 2009 Pascal Terjan <pterjan@mandriva.org> 3.0.3-3mnb2
+ Revision: 482287
- uuid/uuid.h is in libuuid-devel

* Thu Dec 10 2009 Pascal Terjan <pterjan@mandriva.org> 3.0.3-2mnb2
+ Revision: 475944
- -devel requires uuid/uuid.h

* Fri Sep 04 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.3-1mnb2
+ Revision: 431463
- Fix BuildRequires
- update to new version 3.0.3

* Wed May 06 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.1-1mnb2
+ Revision: 372723
- Update to new version 3.0.1
- Remove perl hack and autoconf: not needed

* Thu Feb 05 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.0-1mnb2
+ Revision: 337866
- Update to new version 3.0.0
- xfs_fsr moved from xfsdump to xfsprogs, so conflict with older xfsdump

* Tue Dec 23 2008 Oden Eriksson <oeriksson@mandriva.com> 2.10.2-2mnb2
+ Revision: 317941
- fix build with -Werror=format-security (P2)

  + Frederik Himpe <fhimpe@mandriva.org>
    - Update to new version 2.10.2

* Fri Sep 05 2008 Frederik Himpe <fhimpe@mandriva.org> 2.10.1-1mnb2
+ Revision: 281334
- Update to new version 2.10.1

* Tue Aug 05 2008 Thierry Vignaud <tv@mandriva.org> 2.9.8-3mnb2
+ Revision: 263791
- patch 1: fix underlinking
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Apr 24 2008 Frederik Himpe <fhimpe@mandriva.org> 2.9.8-2mnb1
+ Revision: 197307
- Add patch0: enables lazy-count by default in mkfs.xfs because it
  improves performance. It was enabled by default in earlier mkfsprogs
  versions, but upstream disabled it again, because it requires
  Linux >= 2.6.23

* Wed Apr 23 2008 Frederik Himpe <fhimpe@mandriva.org> 2.9.8-1mnb1
+ Revision: 196968
- New upstream version

* Tue Mar 18 2008 Toshihiro Yamagishi <toshihiro@turbolinux.co.jp> 2.9.6-2mnb1
+ Revision: 188566
- get rid of termcap and readline requirement.
  becaut the readline interface does not work at all.
  and termcap has been obsoleted.
  see the following url for get more info
  https://bugzilla.redhat.com/show_bug.cgi?id=223781

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.9.6-1mnb1
+ Revision: 170659
- replace %%mkrel with %%manbo_mkrel for Manbo Core 1

* Mon Feb 11 2008 Frederik Himpe <fhimpe@mandriva.org> 2.9.6-1mdv2008.1
+ Revision: 165465
- New upstream version

* Thu Feb 07 2008 Makoto Dei <makoto@turbolinux.co.jp> 2.9.5-2mdv2008.1
+ Revision: 163693
- [Manbo-Lab]
- added "Provides: xfsprogs-devel" to libxfs-devel package

* Sun Feb 03 2008 Frederik Himpe <fhimpe@mandriva.org> 2.9.5-1mdv2008.1
+ Revision: 161790
- New release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 10 2007 David Walluck <walluck@mandriva.org> 2.9.4-1mdv2008.1
+ Revision: 107381
- 2.9.4
- new lib policy
- add static lib package
- configure modification should not work: it operates on configure which is recreated

* Thu Aug 16 2007 Austin Acton <austin@mandriva.org> 2.9.3-1mdv2008.0
+ Revision: 64075
- remove prereq
- new version
- bzip source
- add extra binaries

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.8.21-2mdv2008.0
+ Revision: 36218
- rebuild with correct optflags

  + Christiaan Welvaart <spturtle@mandriva.org>
    - 2.8.21

* Tue Apr 17 2007 Andreas Hasenack <andreas@mandriva.com> 2.8.20-1mdv2007.1
+ Revision: 13536
- updated to version 2.8.20


* Mon Feb 12 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.8.18-1mdv2007.0
+ Revision: 118890
- Release 2.8.18-1.
- Import xfsprogs

* Sat Aug 26 2006 Giuseppe Ghib <ghibo@mandriva.com> 2.8.11-1mdv2007.0
- 2.8.11.

* Sun Jul 09 2006 Giuseppe Ghib <ghibo@mandriva.com> 2.8.4-1mdv2007.0
- 2.8.4.
- Added update patch for pl translation.

* Fri May 05 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.7.11-1mdk
- 2.7.11

* Wed Jan 11 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.6.36-4mdk
- add BuildRequires: libtool

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.6.36-3mdk
- Rebuild

* Sun Aug 07 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.6.36-2mdk
- add BuildRequires: libreadline-devel libtermcap-devel

* Wed Aug 03 2005 Giuseppe Ghib <ghibo@mandriva.com> 2.6.36-1mdk
- 2.6.36.

* Mon May 24 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.6.13-1mdk
- 2.6.13.

* Fri Apr 30 2004 Juan Quintela <quintela@mandrakesoft.com> 2.6.10-1mdk
- 2.6.10.

* Thu Feb 26 2004 Thomas Backlund <tmb@mandrake.org> 2.6.3-1mdk
- update to 2.6.3
- done by Per yvind Karlsen
  * 2.6.2
  * drop prefix tag
  * cosmetics

